/*
 * nxlayer.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef NXTEXTLAYER_H_
#define NXTEXTLAYER_H_
#include <string>
#include <list>
#include "nxvector.h"
#include "nxlayer.h"
#include "nxdrawable.h"
#include "color.h"
namespace nx {
class nxTextLayer: public nxLayer {
public:
	nxTextLayer(const std::string& name, const colors::Color color);
	virtual ~nxTextLayer();
	virtual void draw();
	void write(const nxVector position, const char* fmt, ...);
	void write(const nxVector position, const std::string);

protected:
	colors::Color color;
	std::list<std::pair<nxVector, std::string> > messages;
};
}
#endif /* NXLAYER_H_ */

