/*
 * spline.h
 *
 *  Created on: Mar 22, 2012
 *      Author: dkaaser
 */

#ifndef SPLINE_H_
#define SPLINE_H_
#include <list>
#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class BSpline: public nxDrawable {
public:
	BSpline(const std::list<nxVector>& controlPoints);
	virtual ~BSpline();
	void draw();
private:
	float* controlPoints;
	float* knots;
	int numPoints;

};

} /* namespace nx */
#endif /* SPLINE_H_ */
