/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef CIRCULAR_ARC_
#define CIRCULAR_ARC_

#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class CircularArc: public nxDrawable {
public:
	CircularArc(const nxVector& m, const nxVector& a, const nxVector& b, const bool ccw = false);
	void draw();
	virtual ~CircularArc();
private:
	const nxVector m, a, b;
	const bool ccw;
};

} /* namespace nx */
#endif /* LINE_H_ */
