/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef DISKSECTOR_H_
#define DISKSECTOR_H_

#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class DiskSector: public nxDrawable {
public:
	DiskSector(const nxVector& m, const nxVector& a, const nxVector& b, const bool ccw = true);
	void draw();
	virtual ~DiskSector();
private:
	const nxVector m, a, b;
	const bool ccw;

};

} /* namespace nx */
#endif /* LINE_H_ */
