/*
 * arrow.cpp
 *
 *      Author: dkaaser
 */

#include "line.h"
#include <iostream>
#include "../gl.h"

namespace nx {

Line::Line(const nxVector& a, const nxVector& b) :
		a(a), b(b) {
}

Line::~Line() {

}

void Line::draw() {

	glBegin(GL_LINES);
	glVertex2d(a.x, a.y);
	glVertex2d(b.x, b.y);
	glEnd();
}

} /* namespace nx */
