/*
 * linewidth.h
 *
 *  Created on: Apr 20, 2012
 *      Author: dkaaser
 */

#ifndef LINEWIDTH_H_
#define LINEWIDTH_H_
#include "../gl.h"

namespace nx {
class LineWidth: public nxDrawable {
public:
	LineWidth(const double width) :
			width(width) {
	}
	virtual void draw() {
		glLineWidth(width);
	}
private:
	const double width;
};
}

#endif /* LINEWIDTH_H_ */
