/*
 * point.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef POINT_H_
#define POINT_H_

#include "../nxdrawable.h"
#include "../nxvector.h"
namespace nx {

class Point: public nxDrawable {
public:
	Point(const nxVector& p);
	void draw();
	virtual ~Point();
protected:
	const nxVector p;
};

class PointSquare: public Point {
public:
	PointSquare(const nxVector& p): Point(p) {
	}
	void draw();
};

class PointTriangle: public Point {
public:
	PointTriangle(const nxVector& p): Point(p) {
	}
	void draw();
};

class PointStar: public Point {
public:
	PointStar(const nxVector& p): Point(p) {
	}
	void draw();
};


} /* namespace nx */
#endif /* POINT_H_ */
