/*
 * line.cpp
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#include "rect.h"
#include <iostream>
#include "../gl.h"

namespace nx {

Rect::Rect(const nxVector& a, const nxVector& b) :
		a(a), b(b) {
}

Rect::~Rect() {
}

void Rect::draw() {

	glBegin(GL_LINE_STRIP);
	glVertex2d(a.x, a.y);
	glVertex2d(a.x, b.y);
	glVertex2d(b.x, b.y);
	glVertex2d(b.x, a.y);
	glVertex2d(a.x, a.y);
	glEnd();
}

} /* namespace nx */
