/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef RING_H_
#define RING_H_

#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class Ring: public nxDrawable {
public:
	Ring(const nxVector& center, const double R, const double r);
	void draw();
	virtual ~Ring();
private:
	const nxVector center;
	const double R;
	const double r;
};

} /* namespace nx */
#endif /* LINE_H_ */
