/*
 * arrow.cpp
 *
 *      Author: dkaaser
 */

#include "triangle.h"
#include "../gl.h"
#include <iostream>
namespace nx {

Triangle::Triangle(const nxVector& a, const nxVector& b, const nxVector& c) :
		a(a), b(b), c(c) {
}

Triangle::~Triangle() {

}

void Triangle::draw() {
	glBegin(GL_TRIANGLES);
	glVertex2d(a.x, a.y);
	glVertex2d(b.x, b.y);
	glVertex2d(c.x, c.y);
	glEnd();
}

} /* namespace nx */
