/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef TRIANGLE_H_
#define TRIANGLE_H_

#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class Triangle: public nxDrawable {
public:
	Triangle(const nxVector& a, const nxVector& b, const nxVector& c);
	void draw();
	virtual ~Triangle();
private:
	const nxVector a, b, c;
};

} /* namespace nx */
#endif /* LINE_H_ */
