/*
 * nxdrawlayer.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef NXDRAWLAYER_H_
#define NXDRAWLAYER_H_

#include "nxlayer.h"
#include <list>
namespace nx {
class nxDrawLayer: public nxLayer {
public:
	nxDrawLayer(const std::string& name, const colors::Color& color);

	virtual ~nxDrawLayer();
	virtual void draw();
	void addPrimitive(nxDrawable* primitive);
	colors::Color& getColor();
	void setLineWidth(const double lineWidth);
protected:
	std::list<nxDrawable*> primitives;
	colors::Color color;
	double lineWidth;
};
}
#endif /* NXDRAWLAYER_H_ */
