/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef ARROW_H_
#define ARROW_H_

#include "../nxdrawable.h"
#include "../nxdrawlayer.h"
#include "../nxvector.h"

namespace nx {

class Arrow: public nxDrawable {
public:
	Arrow(const nxVector& a, const nxVector& b);
	virtual ~Arrow();
	void draw();
private:
	const nxVector a, b;
};

} /* namespace nx */
#endif
