/*
 * line.h
 *
 *  Created on: Mar 21, 2012
 *      Author: dkaaser
 */

#ifndef CIRCLE_H_
#define CIRCLE_H_

#include "../nxdrawable.h"
#include "../nxvector.h"

namespace nx {

class Circle: public nxDrawable {
public:
	Circle(const nxVector& center, const double r);
	void draw();
	virtual ~Circle();
private:
	const nxVector center;
	const double r;
};

} /* namespace nx */
#endif /* LINE_H_ */
